#include <bits/stdc++.h>

using namespace std;

double P(double x1, double y1, double x2, double y2, double x3, double y3)
{
    double p = 0.5 * abs(x1 * (y2 - y3) + x2 * (y3 - y1) + x3 * (y1 - y2));
    return p;
}

int main()
{
    double n;
    cin >> n;
    double** a = new double* [n];
    int i;
    for (i = 0; i < n; i++) 
    {
        a[i] = new double[2];
        cin >> a[i][0];
        cin >> a[i][1];
    }

    double minP = 2000000000000000000;
    for (int i = 0; i < n; i++)
    {
        for (int j = i+1; j < n; j++)
        {
            for (int k = j + 1; k < n; k++)
            {
                minP = min(P(a[i][0], a[i][1], a[j][0], a[j][1], a[k][0], a[k][1]), minP);
            }
        }
    }

    cout << minP << endl;
}